/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums;
/**
 *	This represents Enumerator for Coding Scheme Designator
 */
public enum EnumCodingSchemeDesignator 
{
	NO_VALUE("NO VALUE"),
	DCM("DCM"),
	SRT("SRT"),
	SNM3("SNM3"),
	DCM1("DCM 1"),
	UCUM("UCUM"),
	LN("LN"),
	BARI("BARI"),
	NCDR("NCDR"),
	SCPECG("SCPECG"),
	BI("BI"),
	SUP76("SUP76"),
	NDR("NDR"),
	UMLS("UMLS"),
	MDC ("MDC"),
	NEU ("NEU"),
	FMA ("FMA"),
	NCIT ("NCIT"),
	NDC("NDC"),
	RADLEX("RADLEX"),
	SCT("SCT"),
	IETF4646("IETF4646"),
	ISO_THREE_ONE_SIX_SIX_ONE("ISO3166_1");
	
	
	
	private String value;
	
	EnumCodingSchemeDesignator(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Coding Scheme Designator.
	 */
	public String getValue()
	{
		return value;
	}
}
